package com.hw.ems.base.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 采集设备信息对象 base_collect_device_info
 *
 * @author sf
 * @date 2023-04-20
 */
public class BaseCollectDeviceInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增标识 */
    private Long objid;

    /** 设备编号 */
    private String collectDeviceId;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String collectDeviceName;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    private String manufacturer;

    /** 生产编号 */
    @Excel(name = "生产编号")
    private String factoryNumber;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date produceDate;

    /** 安装位置 */
    @Excel(name = "安装位置")
    private String address;

    /** 能源类型 */
    @Excel(name = "能源类型")
    private Long energyType;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 地址 */
    @Excel(name = "地址")
    private String ip;

    /** 终端在线状态 */
    @Excel(name = "终端在线状态")
    private Long onlineState;

    /** 权限标识（部门） */
    @Excel(name = "权限标识", readConverterExp = "部=门")
    private Long deptId;

    /** 权限标识（用户） */
    @Excel(name = "权限标识", readConverterExp = "用=户")
    private Long userId;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid()
    {
        return objid;
    }
    public void setCollectDeviceId(String collectDeviceId)
    {
        this.collectDeviceId = collectDeviceId;
    }

    public String getCollectDeviceId()
    {
        return collectDeviceId;
    }
    public void setCollectDeviceName(String collectDeviceName)
    {
        this.collectDeviceName = collectDeviceName;
    }

    public String getCollectDeviceName()
    {
        return collectDeviceName;
    }
    public void setManufacturer(String manufacturer)
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer()
    {
        return manufacturer;
    }
    public void setFactoryNumber(String factoryNumber)
    {
        this.factoryNumber = factoryNumber;
    }

    public String getFactoryNumber()
    {
        return factoryNumber;
    }
    public void setProduceDate(Date produceDate)
    {
        this.produceDate = produceDate;
    }

    public Date getProduceDate()
    {
        return produceDate;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setEnergyType(Long energyType)
    {
        this.energyType = energyType;
    }

    public Long getEnergyType()
    {
        return energyType;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setIp(String ip)
    {
        this.ip = ip;
    }

    public String getIp()
    {
        return ip;
    }
    public void setOnlineState(Long onlineState)
    {
        this.onlineState = onlineState;
    }

    public Long getOnlineState()
    {
        return onlineState;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("collectDeviceId", getCollectDeviceId())
            .append("collectDeviceName", getCollectDeviceName())
            .append("manufacturer", getManufacturer())
            .append("factoryNumber", getFactoryNumber())
            .append("produceDate", getProduceDate())
            .append("address", getAddress())
            .append("energyType", getEnergyType())
            .append("model", getModel())
            .append("ip", getIp())
            .append("remark", getRemark())
            .append("onlineState", getOnlineState())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
